# Change line of credit loan terms SCRA

Modifies the start date or end date of a single SCRA interest rate (`interestType=AbsoluteScra`)
on a line of credit loan.
The new `startDate` must be before or equal to `endDate`, and both must fall within
the loan's lifetime. The modified SCRA period must not overlap with other SCRA plans.

Endpoint: PUT /people/{personId}/loans/{loanId}/loc-payment-plan-scra
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

## Request fields (application/json):

  - `caseId` (string)
    An identifier for an existing case.

  - `endDate` (string, required)
    The new end date for the SCRA period. The end date is inclusive.
Must be within the loan's lifetime, after the start date, and must not overlap with other SCRA plans.

  - `rateId` (string, required)
    The public ID of the SCRA interest rate to modify.

  - `sendNotice` (boolean)
    Deprecated. This parameter is accepted for backwards compatibility but has no effect.
Notices are always sent.

  - `startDate` (string, required)
    The new start date for the SCRA period. The start date is inclusive.
Must be within the loan's lifetime and must not overlap with other SCRA plans.

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of items in this result.

  - `status` (integer)
    HTTP status code.

  - `data` (any)

